#events {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
    gap: 20px;
    margin-top: 30px;
    font-family: sans-serif;
}

.event-card {
    border-radius: 20px;
    border: 5px solid #ddd;
    padding: 16px;
    background: var(--card-ev);
    transition: 0.2s ease;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.event-card:hover {
    transform: translateY(-4px);
    box-shadow: 0 6px 14px rgba(0, 0, 0, 0.12);
}

.event-card svg {
    width: 100%;
    max-width: 100px;
    height: auto;
    display: block;
    margin: 0 auto 15px;
}

.event-date {
    font-size: 14px;
    color: #666;
    margin-bottom: 4px;
}

.event-title {
    height: 16%;
    font-size: 18px;
    font-weight: 700;
    margin-bottom: 10px;
    line-height: 1.2;
    text-align: center;
}

.event-distance {
    font-size: 16px;
    font-weight: bold;
    margin-top: auto;
}

.event-badge {
    display: inline-block;
    width: 70%;
    padding: 4px 10px;
    border-radius: 14px;
    font-size: 12px;
    font-weight: 700;
    margin-bottom: 10px;
    background: #eee;
    text-align: center;
}

/* Кольори за типом події */
.cat-UBF {
    border-color: #005bbb;
}
.cat-UBF .event-badge {
    background: #005bbb;
    color: #fff;
}

.cat-UBF-RG {
    border-color: #005bbb;
    background: #63abf72b;
}
.cat-UBF-RG .event-badge {
    background: #005bbb;
    color: #fff;
}

.cat-UBF-VS {
    border-color: var(--green);
    background: #08f6402b;
}
.cat-UBF-VS .event-badge {
    background: var(--green);
    color: #fff;
}

.cat-UBF-ZR {
    border-color: #fecd48;
    
}
.cat-UBF-ZR .event-badge {
    background: #fecd48;
    color: #000;
}

.cat-BRM {
    border-color: #fecd48;
}
.cat-BRM .event-badge {
    background: #fecd48;
    color: #000;
}

.cat-BRM-FL {
    border-color: #005bbb;
    background: var(--brm-fl);
}
.cat-BRM-FL .event-badge {
    background: #005bbb;
    color: #fff;
}

.cat-LRM {
    border-color: var(--grey3);
}
.cat-LRM .event-badge {
    background: var(--grey3);
    color: #fff;
}

.cat-PVD {
    border-color: #800080;
    background: #80008014;
}
.cat-PVD .event-badge {
    background: #800080;
    color: #fff;
}






